
import 'package:flutter/material.dart';
import '../../common/values/colors.dart';
import '../../common/values/sizes.dart';
import '../../common/values/styles.dart';
import 'custom_button.dart';

class CustomButtonLable extends StatelessWidget {
  final String label;
  final Widget? icon;
  final double? borderRadius;
  final Color? color;
  final VoidCallback? onPress;

  const CustomButtonLable(
      {required this.label,
      required this.onPress,
      this.icon,
      this.borderRadius,
      this.color})
      : super();

  @override
  Widget build(BuildContext context) {
    return Container(
      width: Sizes.width(context),
      child: CustomButton(
        title: label,
        borderRadius: borderRadius,
        elevation: 2,
        textStyle: Styles.customTextMediumBoldStyle(color: SharingColors.white),
        color: color ?? Theme.of(context).colorScheme.secondary,
        icon: icon,
        height: Sizes.HEIGHT_44,
        onPressed: onPress,
      ),
    );
  }
}
